com.google.gwt.resources.gss

## Class EvalFunction

- java.lang.Object
- - com.google.gwt.resources.gss.EvalFunction

All Implemented Interfaces:
  com.google.gwt.thirdparty.common.css.compiler.ast.GssFunction

    public class EvalFunction
    extends java.lang.Object
    implements com.google.gwt.thirdparty.common.css.compiler.ast.GssFunction

GSS function that creates a `CssJavaExpressionNode` in order to evaluate a Java expression at runtime.

### Constructor Summary

Constructors
Constructor and Description
`EvalFunction()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.util.List<com.google.gwt.thirdparty.common.css.compiler.ast.CssValueNode>` `getCallResultNodes(java.util.List<com.google.gwt.thirdparty.common.css.compiler.ast.CssValueNode> args, com.google.gwt.thirdparty.common.css.compiler.ast.ErrorManager errorManager)`
`java.lang.String` `getCallResultString(java.util.List<java.lang.String> args)`
`static java.lang.String` `getName()`
`java.lang.Integer` `getNumExpectedArguments()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EvalFunction

    public EvalFunction()

### Method Detail

#### getName

    public static java.lang.String getName()

#### getCallResultNodes

    public java.util.List<com.google.gwt.thirdparty.common.css.compiler.ast.CssValueNode> getCallResultNodes(java.util.List<com.google.gwt.thirdparty.common.css.compiler.ast.CssValueNode> args,
                                                                                                             com.google.gwt.thirdparty.common.css.compiler.ast.ErrorManager errorManager)
                                                                                                      throws com.google.gwt.thirdparty.common.css.compiler.ast.GssFunctionException

Specified by:
  `getCallResultNodes` in interface `com.google.gwt.thirdparty.common.css.compiler.ast.GssFunction`
Throws:
  `com.google.gwt.thirdparty.common.css.compiler.ast.GssFunctionException`

#### getCallResultString

    public java.lang.String getCallResultString(java.util.List<java.lang.String> args)
                                         throws com.google.gwt.thirdparty.common.css.compiler.ast.GssFunctionException

Specified by:
  `getCallResultString` in interface `com.google.gwt.thirdparty.common.css.compiler.ast.GssFunction`
Throws:
  `com.google.gwt.thirdparty.common.css.compiler.ast.GssFunctionException`

#### getNumExpectedArguments

    public java.lang.Integer getNumExpectedArguments()

Specified by:
  `getNumExpectedArguments` in interface `com.google.gwt.thirdparty.common.css.compiler.ast.GssFunction`